Licence Bug for CaaS Platform Versions before 2.14.0

pjodeleit
e-Spirit employee
0 0 114

As we became aware today our CaaS Platform Releases bundling RESTHeart versions older than 5.x have a bug in the licence code and do not start any longer.
Running instances will continue to function, since the malicious check is only done on startup.

The first CaaS Platform Release not affected is version 2.14.0 released on the 11th of August 2020, so roughly 14 month ago.

When updating the CaaS Platform please follow our Migration Guide for releases before 6.3.0 and the update notices in the corresponding Release Notes for versions after this.

A CaaS Platform update is possible even if you have an older FirstSpirit Server or an older CaaS FSM Module version installed. For CaaS Connect dependencies to the CaaS Platform and FirstSpirit version are listed in the corresponding Release Notes.

If you have further questions please post them here, we are happy to help. In urgent cases please contact our Technical Support.